<?php
/**
 * @version		1.0.0
 * @package		KidsAlbum
 * @subpackage	KidsAlbum
 * @copyright	20013-2015 Shishuworld, www.shishuworld.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
class modFileExplorer
{
	
	
	private $fileList = array();
	
	private $currentDir = "";
	
	private $counter = 0;
	
	private $maxFiles = 200;
	/**
	 * Retrieves the next file from the folder list
	 *
	 * @param array $params An object containing the module parameters
	 * @access public
	 */
	public function modFileExplorer( $folder )
	{
		$this->init($folder);
	}
	 
	public function next($folder) 
	{
		if (strcmp($folder, $this->currentDir) != 0) {
			$this->init($folder);
		}
		/* $path =  $this->fileList[$this->counter];
		$this->counter = ($this->counter+1)%sizeof($this->fileList); */
		//echo "retun s ".$path;
		return json_encode($this->fileList);
	}


	public function init($dir)  
	{
		$this->currentDir = $dir;
		$this->fileList = array();
		$this->counter = 0;
		$dirs = dirname(__FILE__)."/../../".$dir;
		$counter = 0;
		//echo $dirs."got dir";
		if(is_dir($dirs)) {
			//echo "dir exist";
			foreach (new DirectoryIterator($dirs) as $fileInfo) {
				if($fileInfo->isFile()) {
     				 $file_extension = pathinfo($fileInfo->getFilename(), PATHINFO_EXTENSION);
     
    				
				if($fileInfo->isDot() || ( strcasecmp($file_extension,"jpg") != 0
						&& strcasecmp($file_extension,"png") != 0
						&& strcasecmp($file_extension,"bmp") != 0)) {
							continue;
						}
				 array_push($this->fileList, $dir.'/'.$fileInfo->getFilename());
				 if( $counter++ == $this->maxFiles) {
				 	break;
				 }
				}	
			}
		}


	}
}
?>